<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
<!-- qbs-target-qnx.qdoc -->
  <title>Building for QNX | Qbs Manual</title>
  <link rel="stylesheet" type="text/css" href="style/offline-simple.css" />
  <script type="text/javascript">
    document.getElementsByTagName("link").item(0).setAttribute("href", "style/offline.css");
    // loading style sheet breaks anchors that were jumped to before
    // so force jumping to anchor again
    setTimeout(function() {
        var anchor = location.hash;
        // need to jump to different anchor first (e.g. none)
        location.hash = "#";
        setTimeout(function() {
            location.hash = anchor;
        }, 0);
    }, 0);
  </script>
</head>
<body>
<div class="header" id="qtdocheader">
  <div class="main">
    <div class="main-rounded">
      <div class="navigationbar">
        <table><tr>
<td ><a href="index.html">Qbs Manual</a></td><td >Building for QNX</td></tr></table><table class="buildversion"><tr>
<td id="buildversion" width="100%" align="right">Qbs 1.15.0</td>
        </tr></table>
      </div>
    </div>
<div class="content">
<div class="line">
<div class="content mainContent">
<p class="naviNextPrevious headerNavi">
</p><p/>
<div class="sidebar"><div class="sidebar-content" id="sidebar-content"></div></div>
<h1 class="title">Building for QNX</h1>
<span class="subtitle"></span>
<!-- $$$qbs-target-qnx.html-description -->
<div class="descr"> <a name="details"></a>
<p>To develop applications for the QNX Neutrino RTOS, you need to install the QNX Software Development Platform (SDP) on a Linux, <a href="nolink">macOS</a>, or Windows development host. You can deploy the QNX Neutrino RTOS on a target system, such as embedded hardware, a virtual machine, or a PC.</p>
<p>Qbs automatically determines the location of the SDP base directory if the SDP is installed at one of the standard locations, such as <code>~/qnx700</code>, <code>/opt/qnx700</code>, or <code>C:\qnx700</code>. In addition, Qbs uses the SDP and the information it has about the host operating system to determine the location of the QNX host and target directories.</p>
<p>If the QNX SDP path could not be determined automatically, you must add a dependency to the <a href="qml-qbsmodules-qnx.html">qnx</a> module to your application and set the <a href="qml-qbsmodules-qnx.html#sdkDir-prop">qnx.sdkDir</a> property:</p>
<pre class="cpp">

  Application {
      name: <span class="string">&quot;helloworld&quot;</span>
      files: <span class="string">&quot;main.cpp&quot;</span>
      Depends { name: <span class="string">&quot;cpp&quot;</span> }

      Depends { name: <span class="string">&quot;qnx&quot;</span> }
      qnx<span class="operator">.</span>sdkDir: <span class="string">&quot;/path/to/qnx700&quot;</span>
  }

</pre>
<p>Alternatively, you can set the <code>qnx.sdkDir</code> property in a profile or on the command line.</p>
<p>Qbs supports QNX SDP version 6.5 and above.</p>
<p>For more information about developing applications for the QNX Neutrino RTOS, see the <a href="http://www.qnx.com/developers/docs/">QNX Product Documentation</a>.</p>
</div>
<!-- @@@qbs-target-qnx.html -->
<p class="naviNextPrevious footerNavi">
</p>
        </div>
       </div>
   </div>
   </div>
</div>
<div class="footer">
   <p>
   <acronym title="Copyright">&copy;</acronym> 2020 The Qt Company Ltd.
   Documentation contributions included herein are the copyrights of
   their respective owners.<br/>    The documentation provided herein is licensed under the terms of the    <a href="http://www.gnu.org/licenses/fdl.html">GNU Free Documentation    License version 1.3</a> as published by the Free Software Foundation.<br/>    Qt and respective logos are trademarks of The Qt Company Ltd.     in Finland and/or other countries worldwide. All other trademarks are property
   of their respective owners. </p>
</div>
</body>
</html>
